Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
DL_KeyAgreementAlgorithm< T > Class Template Reference

interface for DL key agreement algorithms More...

`#include <pubkey.h>`

List of all members.

## Public Types

typedef T | Element

## Public Member Functions

virtual Element | AgreeWithEphemeralPrivateKey (const DL_GroupParameters< Element > &params, const DL_FixedBasePrecomputation< Element > &publicPrecomputation, const Integer &privateExponent) const =0
virtual Element | AgreeWithStaticPrivateKey (const DL_GroupParameters< Element > &params, const Element &publicElement, bool validateOtherPublicKey, const Integer &privateExponent) const =0

## Detailed Description

### template<class T>
class DL_KeyAgreementAlgorithm< T >

interface for DL key agreement algorithms

Definition at line 915 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h